package com.sf._02_arrays._06_array_convert_list;

public class Student implements Comparable<Student>{
    private Long id;
    private String name;
    private Integer age;
    private Double score;

    public Student() {
    }

    public Student(Long id, String name, Integer age, Double score) {
        this.id = id;
        this.name = name;
        this.age = age;
        this.score = score;
    }

    /**
     * 获取
     * @return id
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取
     * @return name
     */
    public String getName() {
        return name;
    }

    /**
     * 设置
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取
     * @return age
     */
    public Integer getAge() {
        return age;
    }

    /**
     * 设置
     * @param age
     */
    public void setAge(Integer age) {
        this.age = age;
    }

    /**
     * 获取
     * @return score
     */
    public Double getScore() {
        return score;
    }

    /**
     * 设置
     * @param score
     */
    public void setScore(Double score) {
        this.score = score;
    }

    public String toString() {
        return "Student{id = " + id + ", name = " + name + ", age = " + age + ", score = " + score + "}";
    }

    @Override
    public int compareTo(Student o) {
        return (int) (this.score - o.getScore());
    }
}
